import { Http as _Http } from '../common/fetch';
import type { WzfRequestInit } from '../common/fetch';
export declare class Http extends _Http {
    private _encryption;
    download: {
        post: (url: string, body?: BodyInit | null, opt?: Omit<WzfRequestInit, 'url'>) => Promise<Response>;
        get: (url: string, opt?: Omit<WzfRequestInit, 'url'>) => Promise<Response>;
    };
    constructor(initData?: {
        _apiType: string;
    });
    post(url: string, body?: BodyInit | null, opt?: Omit<WzfRequestInit, 'url'>): Promise<Response>;
    get(url: string, opt?: Omit<WzfRequestInit, 'url'>): Promise<Response>;
}
export declare const $http: Http;
