
import { $http } from 'wzf'

export default async () => {
  $http.onRequest(config => {
    // config.headers && (config.headers['plugin-test'] = 2002)
    return config
  })
  $http.onResponse(async response => {
    console.log('response:', response);
    if (response.ok) { // status 200-300
      let resData = await response.text()
      // resData = { test: 'test' }
      return new Response(resData, response)
    } else {
      return response
    }
  })
}
