
import { createRouter, createWebHistory } from 'vue-router'
import commonRouter from '$/common.router'
import hello from '../pages/hello/index.vue'
import exp from '../pages/exp/index.vue'

const routes = [
  { path: '/', component: hello },
  { path: '/exp', component: exp },
]

const router = createRouter({
  history: createWebHistory(),
  routes, // `routes: routes` 的缩写
})
commonRouter(router)
export default router