import { defineStore } from 'pinia'
import { ref } from 'vue'
import type { Ref } from 'vue'

export const useExampleStore = defineStore('example', () => {
  const example: Ref<Array<object>> = ref([])
  const changeExample = () => {
    example.value.push({ key: 1, name: 3 })
  }
  return { example, changeExample }
})