
import type { UserConfig } from 'wzf'

export const config: UserConfig = {
  // 启动模式
  stmode: 'dev',
  // stmode: 'smm',
  // 加密开关
  encryption: false,
  // 全局常量 代码中使用process.env.$WZF_前缀获取，如process.env.$WZF_example
  env: {
    example: 'nihao'
  },
  server: {
    open: true,
    // https: true,
    timeout: 5000,
  },
  // 接口代理
  proxy: {
    $example: 'http://127.0.0.1:5001',
    // $test: 'http://10.120.21.12:5001',
  },
  // timeout: 50000,
  apps: {
    "app.example": {
      port: 3030,
      enabled: true,
      host: 'bd.com',
    },

    "app.b": {
      port: 3031,
      // enabled: true
    },
  },
}
