/// <reference types="node" />
/// <reference types="node" />
import type { InlineConfig } from 'vite';
import type { WzfConfig } from '../config';
import http from 'node:http';
import https from 'node:https';
type Config = {
    appPath: string;
    appName: string;
    wzfConfig: WzfConfig;
    server?: http.Server | https.Server;
    isSsrBuild?: boolean;
};
declare const _default: (config: Config) => InlineConfig;
export default _default;
